import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:wow_views/common/color.dart';
import 'package:wow_views/common/text_style.dart';
import 'package:wow_views/common/theme/icon_theme.dart';

AppBarTheme bds8xAppBarTheme = AppBarTheme(
  backgroundColor: Bds8xColor.white,
  systemOverlayStyle: SystemUiOverlayStyle.dark,
  titleTextStyle: WowTextStyle.title.copyWith(
    color: Bds8xColor.blue367E,
    fontWeight: FontWeight.bold,
  ),
  elevation: 0,
  iconTheme: bds8xIconTheme,
  centerTitle: true,
);

AppBarTheme tbtAppBarTheme = AppBarTheme(
  backgroundColor: TBTColor.whiteF1F2,
  titleTextStyle: WowTextStyle.title.copyWith(
    color: TBTColor.black1F2A,
    fontWeight: FontWeight.bold,
  ),
  elevation: 0,
  iconTheme: tbtIconTheme.copyWith(
    color: TBTColor.black1F2A,
  ),
  actionsIconTheme: tbtIconTheme,
  centerTitle: true,
);
