import 'package:flutter/material.dart';
import 'package:wow_views/common/color.dart';

const TextTheme bds8xTextTheme = TextTheme(
  headlineSmall: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.bold,
    fontSize: 20,
  ),
  titleLarge: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.bold,
    fontSize: 18,
  ),
  titleMedium: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 14,
  ),
  titleSmall: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 14,
  ),
  bodyLarge: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 16,
  ),
  bodyMedium: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 14,
  ),
  bodySmall: TextStyle(
    color: Bds8xColor.grey6B6B,
    fontWeight: FontWeight.normal,
    fontSize: 14,
  ),
  labelLarge: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.bold,
    fontSize: 14,
  ),
  labelSmall: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 12,
  ),
);

const TextTheme tbtTextTheme = TextTheme(
  headlineSmall: TextStyle(
    color: TBTColor.black1F2A,
    fontWeight: FontWeight.w600,
    fontSize: 18,
  ),
  titleLarge: TextStyle(
    color: TBTColor.black1F2A,
    fontWeight: FontWeight.w600,
    fontSize: 18,
  ),
  titleMedium: TextStyle(
    color: TBTColor.black1F2A,
    fontWeight: FontWeight.w600,
    fontSize: 16,
  ),
  titleSmall: TextStyle(
    color: TBTColor.black1F2A,
    fontWeight: FontWeight.w600,
    fontSize: 14,
  ),
  bodyLarge: TextStyle(
    color: TBTColor.black1F2A,
    fontWeight: FontWeight.w400,
    fontSize: 16,
  ),
  bodyMedium: TextStyle(
    color: TBTColor.black1F2A,
    fontWeight: FontWeight.w400,
    fontSize: 14,
  ),
  bodySmall: TextStyle(
    color: TBTColor.greyA4AF,
    fontWeight: FontWeight.w400,
    fontSize: 14,
  ),
  labelLarge: TextStyle(
    color: TBTColor.greyA4AF,
    fontWeight: FontWeight.w400,
    fontSize: 12,
  ),
  labelMedium: TextStyle(
    color: TBTColor.greyA4AF,
    fontWeight: FontWeight.w400,
    fontSize: 10,
  ),
  labelSmall: TextStyle(
    color: TBTColor.greyA4AF,
    fontWeight: FontWeight.w400,
    fontSize: 8,
  ),
);
